<?

/**************************************************
Program name:		buglist.php  
Author:					Allen McGrath (allen@greatbridge.com)

Description:		Displays all bugs of a particular
					project so the admin can update them.
			
Create Date:		10/9/00 

Modified Date(s):	
							 
**************************************************/
 
$web_page = "buglistpage";
include("site_info.php");
$group_group_id = "buglist";

$do_debug = "no";

$bg_query = "SELECT A.BUG_ID, A.TASK_ID, A.TITLE, A.DESCRIPTION, A.DATE_CREATED,B.CAT_NAME " .
						"FROM BUG A, CATEGORY B " .
						"WHERE A.PROJECT_ID = $project_id " .
						"AND B.CAT_ID = A.STATUS_ID " . 
						"ORDER BY DATE_CREATED DESC";
						
$bg_result = pg_exec($conn,$bg_query);


if ($do_debug == "yes") {
echo "<li>" . $bg_query;
echo "<li>" . pg_numrows($bg_result);
}


$r = 0;
while ($row = @pg_fetch_array($bg_result,$r++)) {
	$bug_list[] = array( "bug_id"       => $row["bug_id"],
						 "title"        => $row["title"],
	                     "description"  => $row["description"],
						 "cat_name"     => $row["cat_name"],
                         "task_id"       => $row["task_id"],
						 "date_created" => $row["date_created"]);
}

$num_bugs = count($bug_list);

include($page_template);

?>




 

