<!--- ***
FILENAME:		gb_navpage.php
AUTHOR:			james bull - james@greatbridge.com
DESCRIPTION:	this file is included by *.php application files (the filename in
				the url) and is the complete navigation for greatbridge.com that
				dynamicly handles:
				- meta data
				- navigation display
				- inclusion of content templates
*** --->
<style>
/*class 'leftNav'*/
a.leftNav:link{
  font-family:"arial","verdana";
  font-size: 10px;
  font-style:normal;
  color:white;
  text-decoration:none;
}
a.leftNav:visited{
  font-family:"arial","verdana";
  font-size: 10px;
  font-style:normal;
  color:white;
  text-decoration:none;
}
</style>
<html>
<head>
<meta name="keywords" description="<?= $meta_keyword ?>">
<meta name="description" description="<?= $meta_description ?>">
<title><?= $page_title ?></title>
</head>
<body bgcolor="<?= $color_2 ?>" background="<?= $image_path ?>/body_background.gif" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" vlink="<?= $color_6 ?>" alink="<?= $color_6 ?>" link="<?= $color_6 ?>">
<!-- the top table - links -->
<table background="<?= $image_path ?>/top_cellbg.gif" cellpadding="0" cellspacing="0" border="0" width="100%">
<tr background="<?= $image_path ?>/top_cellbg.gif">
<td><a href="/index.php"><img src="<?= $image_path ?>/top_logo.gif" width="221" height="32" border="0" alt="GreatBridge.com"></a></td>
<td width="100%">
<!-- the links -->
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr>
	<td align="center"><a href="/about/about.php"><img src="<?= $image_path ?>/top_about.gif" width="49" height="32" border="0" alt="about us"></a></td>
	<td align="center"><a href="/product/product.php"><img src="<?= $image_path ?>/top_prod.gif" width="99" height="32" border="0" alt="products and services"></a></td>
	<td align="center"><a href="/technologies/technologies.php"><img src="<?= $image_path ?>/top_tech.gif" width="65" height="32" border="0" alt="technologies"></a></td>
	<td align="center"><a href="/download/download.php"><img src="<?= $image_path ?>/top_download.gif" width="50" height="32" border="0" alt="download"></a></td>
	<td align="center"><a href="http://www.greatbridge.org/"><img src="<?= $image_path ?>/top_dev.gif" width="58" height="32" border="0" alt="developers"></a></td>
<!--- ***
	<td align="center"><a href="/james/store.php"><img src="<?= $image_path ?>/top_store.gif" width="45" height="32" border="0"></a></td>
	<td align="center"><a href="http://www.greatbridge.org/"><img src="<?= $image_path ?>/top_gborg.gif" width="79" height="32" border="0"></a></td>
	<td align="center"><a href="/james/support.php"><img src="<?= $image_path ?>/top_support.gif" width="41" height="32" border="0"></a></td>
*** --->
	</tr>
	</table>
</td>
<td><img src="<?= $image_path ?>/top_endcap.gif" width="39" height="32" border="0"></td>
</tr>
</table>
<!-- the second top layer - bottom of logo - date - special header -->
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
<td><a href="/index.php"><img src="<?= $image_path ?>/top_logo2.gif" width="221" height="45" border="0" alt="GreatBridge.com"></a></td>
<td align="right" nowrap width="100%"><font face="<?= $font_1 ?>" size="2" color="<?= $color_5 ?>"><b><? print (date ("F j, Y")); ?></b></font>&nbsp;&nbsp;&nbsp;</td>
</tr>
</table>
<!-- the middle table - left nav - content - right nav -->
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
<!-- the left nav -->
<td valign="top">
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr>
	<td colspan="2"><img src="<?= $image_path ?>/left_<?= $group_group_id ?>.gif" width="139" height="59" border="0"></td>
	</tr>
	<tr>
<!-- *** image pulled based on page group - must remain on one line to maintain spacing for
	black lined curve *** -->
	<td valign="top"><img src="<?= $image_path ?>/left_curvebottom.gif" width="22" height="20" border="0"></td>
	<td valign="top" width="100%">
	<img src="<?= $image_path ?>/shim.gif" width="117" height="5" border="0"><br>
	<!-- *** dynamicly generated navigation links *** -->
	
	<?

    function traverse_tree($t_nav_tree, $indent_code) {
        if(is_array($t_nav_tree)) {
            $child_indent = ($indent_code!=""?"<font color=\"${GLOBALS["color_2"]}\">-</font>":"");
            while(list(,$branch) = @each($t_nav_tree)) {
				$sbold = ($branch["web_page"]==$GLOBALS["web_page"]?"<b><u>":"");
				$ebold = ($branch["web_page"]==$GLOBALS["web_page"]?"</u></b>":"");
			?>
	<?= $indent_code . $child_indent ?><a class="leftNav" href="<?= $branch["page_url"] ?>"><?= $sbold . $branch["link_name"] . $ebold ?></a>
	<br><img src="<?= $GLOBALS["image_path"] ?>/shim.gif" width="1" height="3"><br>
				<?
			traverse_tree($branch["children"], "<img src=" .  $GLOBALS["image_path"] . "/shim.gif width=\"10\" height=\"1\">" . $indent_code);
            }
        }
    }
	traverse_tree($nav_tree, "");
 	?>
	<?= $indent_code . $child_indent ?><a class="leftNav" href="http://www.greatbridge.org/">Developers</a>
	<br><img src="<?= $image_path ?>/shim.gif" width="1" height="3"><br>
	<!-- *** end dynamicly generated navigation links *** -->
	</td>
	</tr>
	</table>
</td>
<!-- this is the gutter -->
<td valign="top">
<img src="<?= $image_path ?>/gutter.gif" width="40" height="34" border="0"><br><img src="<?= $image_path ?>/shim.gif" width="40" height="1" border="0">
</td>
<!-- this is the content -->
<td valign="top" width="100%">
<? if($web_page != "homepage") { ?>
<br>
<font face="<?= $font_1 ?>" size="2" color="<?= $color_6 ?>"><b><?= $page_header ?></b></font><br>
<br>
<? } ?>
<!--- *** include page template *** --->
	<?
	include($template_path . "/" . $name_prefix . "_" . $web_page . ".php")
	?>
<!--- *** end page template include *** --->
</td>
<!-- gutter -->
<td><img src="<?= $image_path ?>/shim.gif" width="20" height="1" border="0"></td>
</tr>
</table>
<br><br>
<!--- footer --->
<table cellpadding="2" cellspacing="0" border="0" width="100%">
<tr>
<td><img src="<?= $image_path ?>/shim.gif" width="135" height="1"></td>
<td align="center" width="100%"><hr width="70%" noshade></td>
</tr>
<tr>
<td><img src="<?= $image_path ?>/shim.gif" width="135" height="1"></td>
<td align="center">
<a href="/about/about.php"><font face="<?= $font_1 ?>" size="2">About Us</font></a>
&nbsp;&nbsp;
<a href="/product/product.php"><font face="<?= $font_1 ?>" size="2">Products & Services</font></a>
&nbsp;&nbsp;
<a href="/technologies/technologies.php"><font face="<?= $font_1 ?>" size="2">Technologies</font></a>
&nbsp;&nbsp;
<a href="/download/download.php"><font face="<?= $font_1 ?>" size="2">Download</font></a>
&nbsp;&nbsp;
<a href="/about/contact.php"><font face="<?= $font_1 ?>" size="2">Contact Us</font></a>
</td>
</tr>
<tr>
<td><img src="<?= $image_path ?>/shim.gif" width="135" height="1"></td>
<td align="center">
<br>
<font face="<?= $font_1 ?>" size="2" color="<?= $color_5 ?>"><b>Great Bridge, LLC . 253 Monticello Avenue . Norfolk, VA 23510 . (757) 233-5500</b></font>
</td>
</tr>
</table>
</body>
</html>
<!--- ***
END GB_NAVPAGE.PHP
*** --->
