<!--- ***
FILENAME:		gborg_navpage_text.php
AUTHOR:			james bull - james@greatbridge.com
DESCRIPTION:	this file is included by *.php application files (the filename in
				the url) and is the complete navigation for greatbridge.org that
				dynamicly handles:
				- meta data
				- navigation display
				- inclusion of content templates
*** --->
<html>
<head>
<meta name="keywords" description="<?= $meta_keyword ?>">
<meta name="description" description="<?= $meta_description ?>">
<title><?= $page_title ?></title>
</head>
<body bgcolor="<?= $color_2 ?>" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" vlink="<?= $color_6 ?>" alink="<?= $color_6 ?>" link="<?= $color_6 ?>">
<!-- the top table - main site links -->
<table cellpadding="2" cellspacing="0" border="0" width="100%">
<tr>
<td colspan="2">&nbsp;</td>
</tr>
<tr>
<td><font face="<?= $font_1 ?>" color="<?= $color_6 ?>" size="4"><b>GreatBridge.org</b></font></td>
<td align="right"><font face="<?= $font_1 ?>" size="2">link&nbsp;|&nbsp;link&nbsp;|&nbsp;link&nbsp;|&nbsp;link&nbsp;|&nbsp;link</font></td>
</tr>
<tr>
<td align="center" colspan="2">
<hr width="100%" noshade>
</td>
</tr>
</table>
<!-- end top -->
<!-- left nav - content - right -->
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
<td valign="top" bgcolor="<?= $color_4 ?>" width="118">
<!-- *** dynamicly generated navigation links *** -->
	
	<?

    function traverse_tree($t_nav_tree, $indent_code) {
        if(is_array($t_nav_tree)) {
            $child_indent = ($indent_code!=""?"--":"-");
            while(list(,$branch) = @each($t_nav_tree)) {
				$sbold = ($branch["web_page"]==$GLOBALS["web_page"]?"<b><u>":"");
				$ebold = ($branch["web_page"]==$GLOBALS["web_page"]?"</u></b>":"");
			?>
	<?= $indent_code . $child_indent ?><a href="<?= $branch["page_url"] ?>"><font face="<?= $font_1 ?>" size="2"><?= $sbold . $branch["link_name"] . $ebold ?></font></a>
	<br>
			<?
			traverse_tree($branch["children"], "&nbsp;&nbsp;&nbsp;" . $indent_code);
            }
        }
    }
	traverse_tree($nav_tree, "");
 	?>
<!--- Here is the start of the stuff i added to show a user logged in --->
<? if(!empty($member_id)) { ?>
        <br><font face="<?= $font_2 ?>" color="<?= $color_2 ?>">Logged in as <?= $member_name ?></font>
<? } ?>
<!--- end the stuff i added to show a user logged in --->
<!-- *** end dynamicly generated navigation links *** -->
<img src="<?= $image_path?>/shim.gif" width="118" height="1">
</td>
<!-- content -->
<td width="100%" valign="top">
			<!--- *** include page template *** --->
			<?
			include($template_path . "/" . $name_prefix . "_" . $web_page . ".php")
			?>
			<!--- *** end page template include *** --->
</td>
</tr>
</table>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
<td><hr width="100%" noshade></td>
</tr>
<tr>
<td width="100%">footer</td>
</tr>
</table>
</body>
</html>
